How can I downgrade my iPod from 4.2.1 to 3.1.3 for a jailbreak?

Adam M June 13, 2011
Pinterest Stumbleupon Whatsapp

I am trying to downgrade my iPod Touch 3rd generation from 4.2.1 down to 3.1.3, so I can Jailbreak. Everything I have tried has failed. And it keeps saying it is not compatible with my iPod. Please help.

  1. Nigger
    November 23, 2011 at 2:31 am

    Green poison doesnt work retard

  2. Josh Fox
    June 18, 2011 at 10:29 pm

    You can use Greenpoison to jailbreak iOS 4.2.1. http://greenpois0n.com/For jailbreak status and tutorials on how to do the jailbreaks, you can check here: http://www.jailbreakmatrix.com/iPhone-iTouch-Jailbreak

    • Hafgjasg
      June 29, 2011 at 11:30 pm

      you can't put the ipod in dfu once it's upgradet to 4.2.1

  3. Josh Fox
    June 14, 2011 at 4:22 am

    You can use Greenpoison to jailbreak iOS 4.2.1. http://greenpois0n.com/

    For jailbreak status and tutorials on how to do the jailbreaks, you can check here: http://www.jailbreakmatrix.com/iPhone-iTouch-Jailbreak

  4. Mike
    June 13, 2011 at 9:08 pm

    Downgrading to iOS prior to 4.x requires the use of TinyUmbrella or something similar since those versions are no longer getting signed by the iTunes Server.
    http://thefirmwareumbrella.blogspot.com/

    From your post I can't figure out where this "not compatible" occurs ~ whether it's from the Jailbreak Application or from iTunes. Either way I think you should take a look at Wikipedia about the possible options.
    http://en.wikipedia.org/wiki/IOS_jailbreaking#Current_devices